=== debian/changelog ===
ros-crystal-rviz-ogre-vendor (5.1.1-1bionic) bionic; urgency=high

  * Constraint Freetype dependencies for more predictable build result on Windows. (#393 <https://github.com/ros2/rviz/issues/393>)
  * Contributors: Sean Yen

 -- William Woodall <william@osrfoundation.org>  Fri, 06 Dec 2019 08:00:00 -0000

ros-crystal-rviz-ogre-vendor (5.1.0-1bionic) bionic; urgency=high

  * Skip the system directories when looking for OGRE (#371 <https://github.com/ros2/rviz/issues/371>)
  * Contributors: Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Mon, 14 Jan 2019 08:00:00 -0000

ros-crystal-rviz-ogre-vendor (5.0.0-1bionic) bionic; urgency=high

  * Changed ZLIB_ROOT -> ZLIB_DIR (#349 <https://github.com/ros2/rviz/issues/349>)
  * Contributors: Mikael Arguedas

 -- William Woodall <william@osrfoundation.org>  Tue, 04 Dec 2018 08:00:00 -0000

ros-crystal-rviz-ogre-vendor (4.0.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (4.0.0-1bionic) bionic; urgency=high

  * Changed the download timeout for Ogre to be twenty (20) minutes. (#323 <https://github.com/ros2/rviz/issues/323>)
  * Contributors: Dirk Thomas, Martin Idel, Mikael Arguedas, Russ

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (3.0.0-1bionic) bionic; urgency=high

  * Updated Ogre to 1.10.11. (#181 <https://github.com/ros2/rviz/issues/181>)

 -- William Woodall <william@osrfoundation.org>  Wed, 07 Feb 2018 08:00:00 -0000

ros-crystal-rviz-ogre-vendor (2.0.0-1bionic) bionic; urgency=high

  * First version for ROS 2.
  * Contributors: Andreas Greimel, Andreas Holzner, Chris Ye, Johannes Jeising, Martin Idel, Steven! Ragnarok, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 08:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.12.11-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 02 Aug 2017 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.12.10-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 06 Jun 2017 00:37:00 -0000

ros-crystal-rviz-ogre-vendor (1.12.9-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 05 Jun 2017 21:23:00 -0000

ros-crystal-rviz-ogre-vendor (1.12.8-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 07 May 2017 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.12.7-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 05 May 2017 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.12.6-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 May 2017 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.12.5-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 May 2017 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.12.4-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 27 Oct 2016 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.12.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 19 Oct 2016 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.12.2-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Oct 2016 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.12.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 20 Apr 2016 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.12.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 11 Apr 2016 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.14-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 03 Apr 2016 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.13-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.12-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 02:58:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.11-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 01:16:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.10-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.9-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 21 Sep 2015 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.8-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.7-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 02 Mar 2015 08:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.6-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 13 Feb 2015 08:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.5-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 11 Feb 2015 08:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.4-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 30 Oct 2014 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 26 Jun 2014 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.2-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 13 May 2014 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 01 May 2014 07:00:00 -0000

ros-crystal-rviz-ogre-vendor (1.11.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 05 Mar 2014 05:40:00 -0000


